J-Security Center

Title: Wyse Thin Client 'hagent.exe' Unspecified Buffer Overflow Vulnerability

Severity: CRITICAL

Description:

Wyse Thin Client is a device that replaces desktop computers with less complex hardware. The device interfaces with a central server to provide software or service requests from users.

Wyse Thin Client is prone to an unspecified buffer-overflow vulnerability because it fails to perform adequate boundary checks on user-supplied data before copying it to insufficiently sized buffers. This issue affects the 'hagent.exe' service.

Exploiting this issue will allow an attacker to execute arbitrary code in the context of the application, corrupt memory, or cause denial-of-service conditions.

We don't know which versions of Wyse Thin Client are affected. We will update this BID as more information emerges.

Affected Products:

  • Wyse Thin Client

References:

Juniper Networks provides this content via a wide variety of sources and production methods. If notified of errors or omissions in the content of this page, Juniper Networks, at its discretion, will modify or remove the page or leave the content as is, depending on various factors including but not limited to the reputation and authority of the party providing the notification. Please use the contact information displayed elsewhere on this page to report any errors or omissions regarding the content on this page.